Page MenuHomePhabricator

MediaWiki Developer Summit 2015 panel proposal: SOA proliferation through specification
Closed, ResolvedPublic

Description

A look at how Swagger specifications can help in the development, adoption, and deployment of services in a service-oriented architecture.

This will be an informal SOA breakout talk / discussion with @Jdouglas, combined with T86567.

Event Timeline

GWicke assigned this task to Jdouglas.
GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke moved this task from Backlog to Session ideas on the MediaWiki-Developer-Summit-2015 board.
GWicke added subscribers: GWicke, Spage.
Qgil triaged this task as Normal priority.Jan 12 2015, 7:58 PM

Possibly related to T86050 ?

Sounds like swagger is the next generation of https://www.mediawiki.org/wiki/Special:ApiHelp and/or Special:ApiSandbox , I don't think can replace the generated JS and PHP documentation at doc.wikimedia.org , but I hope added to it.

Jdouglas updated the task description. (Show Details)Jan 15 2015, 5:23 PM
Jdouglas set Security to None.
Jdouglas updated the task description. (Show Details)Jan 27 2015, 2:08 AM
Jdouglas updated the task description. (Show Details)Jan 27 2015, 4:49 PM
Jdouglas updated the task description. (Show Details)
Jdouglas closed this task as Resolved.Feb 4 2015, 6:05 PM